# Be sure to restart your server when you modify this file.

# Your secret key is used for verifying the integrity of signed cookies.
# If you change this key, all old signed cookies will become invalid!

# Make sure the secret is at least 30 characters and all random,
# no regular words or you'll be exposed to dictionary attacks.
# You can use `rails secret` to generate a secure secret key.

# Make sure the secrets in this file are kept private
# if you're sharing your code publicly.

# Shared secrets are available across all environments.

# shared:
#   api_key: a1B2c3D4e5F6

# Environmental secrets are only available for that specific environment.

development:
  admin_name: First User
  admin_email: admin@wapi-mail.com
  admin_password: azertyui
  domain_name: wapimail.com
  default_sender: "no_reply@wapimail.com"
  secret_key_base: 0ad8d1c279b36d9d3bdd4df0166ddea187aa953c95798a078ada93e2f26ebdd3c71c1a9c4deca0818bdbe531236d66b4c87d9f1fa36ddf963c49f7fac5b6be4d
  jwt_secret: '3fEl6SU-RPyqqnfl2HXXqtAVhIk'
  jwt_expiration_hours: 48
  service_provider_secret: hOcnQQCqcof1sGQDLexqIA+3frA2RuSxmQC6/fLx8BA=\n

test:
  domain_name: example.com 
  secret_key_base: 9df0f88b79458e338e80d3a18d843a13b48412048f69ac5e4e3d7e2ce9ccce8f6e1c797964279eec89c717e221d717772a70d1364181c2f778ba0b6f57c9b224

# Do not keep production secrets in the unencrypted secrets file.
# Instead, either read values from the environment.
# Or, use `bin/rails secrets:setup` to configure encrypted secrets
# and move the `production:` environment over there.

production:
  admin_name: <%= ENV["ADMIN_NAME"] %>
  admin_email: <%= ENV["ADMIN_EMAIL"] %>
  admin_password: <%= ENV["ADMIN_PASSWORD"] %>
  domain_name: <%= ENV["DOMAIN_NAME"] %>
  default_sender: <%= ENV['MJ_DEFAULT_SENDER'] %>
  secret_key_base: <%= ENV["SECRET_KEY_BASE"] %>
  jwt_secret: <%= ENV["JWT_SECRET"] %>
  jwt_expiration_hours: 48
  service_provider_secret: <%= ENV["SERVICE_PROVIDER_SECRET"] %>

